Package org.eclipse.emf.cdo.common.branch

## Interface CDOBranch.BranchDeletedEvent

- All Superinterfaces:
    `CDOBranchProvider`, `org.eclipse.net4j.util.event.IEvent`
  Enclosing interface:
    CDOBranch

      public static interface CDOBranch.BranchDeletedEvent
      extends org.eclipse.net4j.util.event.IEvent, CDOBranchProvider

  An `event` fired from a `branch` when it gets deleted.
  Since:
    4.15
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CDOBranch` | `getSource()` |

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.branch.CDOBranchProvider

      `getBranch`

- - ### Method Detail

    - #### getSource

          CDOBranch getSource()

      Specified by:
        `getSource` in interface `org.eclipse.net4j.util.event.IEvent`